<?php
function check_rate_limit($config, $email) {
    $today = date('Y-m-d');
    $log_content = file_get_contents($config['log_file']);
    $today_logs = array_filter(explode("\n", $log_content), function($line) use ($today, $email) {
        return strpos($line, $today) !== false && strpos($line, "From: $email") !== false;
    });
    return count($today_logs) < $config['max_daily_emails'];
}